{% sw_extends '@Storefront/storefront/layout/header/header.html.twig' %}

{% block layout_header %}
    {% block layout_top_bar %}{% endblock %}

    {% block layout_header_navigation %}
        <div class="row align-items-center header-row">
            {% block layout_header_logo %}
                <div class="col sysea--header-logo-col">
                    {% block layout_header_navigation_toggle_tablet %}
                        <div class="nav-main-toggle">
                            {% block layout_header_navigation_toggle_tablet_button %}
                                <button class="btn nav-main-toggle-btn header-actions-btn"
                                        type="button"
                                        data-offcanvas-menu="true"
                                        aria-label="{{ "general.menuLink"|trans|striptags }}">
                                    {% block layout_header_navigation_toggle_tablet_button_icon %}
                                        {% sw_icon 'stack' %}
                                    {% endblock %}
                                </button>
                            {% endblock %}
                        </div>
                    {% endblock %}
                    {% sw_include '@Storefront/storefront/layout/header/logo.html.twig' %}
                </div>
            {% endblock %}

            <div class="col-12 order-2 col-md-auto order-md-1 header-search-col">
                {% sw_include '@Storefront/storefront/layout/header/search.html.twig' %}
            </div>

            {% block layout_header_actions %}
                <div class="col-auto order-1 order-md-2 header-actions-col">
                    <div class="row {{ gridNoGuttersClass }} align-items-center">

                        {% if page.header.languages.elements|length >= 2 %}
                            <div class="col-auto d-none d-md-block">
                                <span class="sysea--header-actions-pipe"></span>
                            </div>

                            <div class="col-auto d-none d-md-flex">
                                {% sw_include '@Storefront/storefront/layout/header/actions/language-widget.html.twig' %}
                            </div>
                        {% endif %}

                        {% block layout_header_search_toggle %}
                            <div class="col-auto d-md-none">
                                <div class="search-toggle">
                                    <button class="btn header-actions-btn search-toggle-btn js-search-toggle-btn collapsed"
                                            type="button"
                                    {{ dataBsToggleAttr }}="collapse"
                                    {{ dataBsTargetAttr }}="#searchCollapse"
                                    aria-expanded="false"
                                    aria-controls="searchCollapse"
                                    aria-label="{{ "header.searchButton"|trans|striptags }}">
                                    {% sw_icon 'magnifier' style {'pack' : 'SyseaTheSimple'} %}
                                    </button>
                                </div>
                            </div>
                        {% endblock %}

                        <div class="col-auto">
                            <span class="sysea--header-actions-pipe"></span>
                        </div>

                        {% block layout_header_actions_account %}
                            <div class="col-auto">
                                <div class="account-menu">
                                    {% sw_include '@Storefront/storefront/layout/header/actions/account-widget.html.twig' %}
                                </div>
                            </div>
                        {% endblock %}

                        {% if config('core.cart.wishlistEnabled') %}
                            {% block layout_header_actions_wishlist %}
                                <div class="col-auto">
                                    <div class="header-wishlist">
                                        <a class="btn header-wishlist-btn header-actions-btn"
                                           href="{{ path('frontend.wishlist.page') }}"
                                           title="{{ 'header.wishlist'|trans|striptags }}"
                                           aria-label="{{ 'header.wishlist'|trans|striptags }}">
                                            {% sw_include '@Storefront/storefront/layout/header/actions/wishlist-widget.html.twig' %}
                                        </a>
                                    </div>
                                </div>
                            {% endblock %}
                        {% endif %}

                        {% block layout_header_actions_cart %}
                            <div class="col-auto">
                                <div class="header-cart"
                                     data-offcanvas-cart="true">
                                    <a class="btn header-cart-btn header-actions-btn"
                                       href="{{ path('frontend.checkout.cart.page') }}"
                                       data-cart-widget="true"
                                       title="{{ 'checkout.cartTitle'|trans|striptags }}"
                                       aria-label="{{ 'checkout.cartTitle'|trans|striptags }}">
                                        {% sw_include '@Storefront/storefront/layout/header/actions/cart-widget.html.twig' %}
                                    </a>
                                </div>
                            </div>
                        {% endblock %}
                    </div>
                </div>
            {% endblock %}
        </div>
    {% endblock %}
{% endblock %}